import { createSSRApp } from 'vue'

import { setupStore } from './stores'
import App from './App.vue'
import share from './utils/share'

export function createApp() {
  const app = createSSRApp(App)
  setupStore(app);
  app.mixin(share)
  return {
    app,
  }
}
